package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSVerticalAlignment;

@ObfuscatedName("hg")
public class VerticalAlignment implements MouseWheel, RSVerticalAlignment {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "Lhg;"
   )
   static final VerticalAlignment field1970;
   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "Lhg;"
   )
   static final VerticalAlignment VerticalAlignment_centered;
   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "Lhg;"
   )
   static final VerticalAlignment field1972;
   @ObfuscatedName("ao")
   @ObfuscatedGetter(
      intValue = 1916743455
   )
   public final int value;
   @ObfuscatedName("ab")
   @ObfuscatedGetter(
      intValue = -1795857937
   )
   final int id;

   static {
      field1970 = new VerticalAlignment(2, 0);
      VerticalAlignment_centered = new VerticalAlignment(0, 1);
      field1972 = new VerticalAlignment(1, 2);
   }

   VerticalAlignment(int var1, int var2) {
      this.value = var1;
      this.id = var2;
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(B)I",
      garbageValue = "-11"
   )
   public int rsOrdinal_base() {
      return this.id;
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(I)[Lnt;",
      garbageValue = "1599103276"
   )
   public static StudioGame[] method3755() {
      return new StudioGame[]{StudioGame.game5, StudioGame.stellardawn, StudioGame.oldscape, StudioGame.game3, StudioGame.ash, StudioGame.game4};
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(IS)Lhw;",
      garbageValue = "4625"
   )
   public static NPCComposition method3757(int var0) {
      NPCComposition var1 = (NPCComposition)NPCComposition.NpcDefinition_cached.get((long)var0);
      if(var1 != null) {
         return var1;
      } else {
         byte[] var2 = NPCComposition.NpcDefinition_archive.takeFile_base(9, var0);
         var1 = new NPCComposition();
         var1.id = var0;
         if(var2 != null) {
            var1.method3693(new Buffer(var2));
         }

         var1.postDecode_base();
         NPCComposition.NpcDefinition_cached.put(var1, (long)var0);
         return var1;
      }
   }

   @ObfuscatedName("bx")
   @ObfuscatedSignature(
      descriptor = "(ILdt;ZI)I",
      garbageValue = "-2145020206"
   )
   static int method3753(int var0, Script var1, boolean var2) {
      return 2;
   }

   @ObfuscatedName("hx")
   @ObfuscatedSignature(
      descriptor = "(ZB)V",
      garbageValue = "97"
   )
   static final void method3754_base(boolean var0) {
      if(var0) {
         Client.field525 = Login.field920?class124.field1469:class124.field1471;
      } else {
         Client.field525 = WorldMapIcon_1.clientPreferences.method2566_base(Login.Login_username)?class124.field1474:class124.field1470;
      }

   }

   @ObfuscatedName("oh")
   @ObfuscatedSignature(
      descriptor = "(B)V",
      garbageValue = "-66"
   )
   static void method3756_base() {
      if(Client.oculusOrbState == 1) {
         Client.field585 = true;
      }

   }
}
